import 'package:json_annotation/json_annotation.dart';

part 'token.g.dart';


@JsonSerializable()
class TokenData {
  final String token;
  final DateTime expiration;

  const TokenData({required this.token, required this.expiration});

  factory TokenData.fromJson(Map<String, dynamic> json) => _$TokenDataFromJson(json);
  Map<String, dynamic> toJson() => _$TokenDataToJson(this);
}